ModernLoop Internal API
Apipylon

List Pylon issue messages (GET /issues/{id}/messages)

Read operation: does not mutate upstream state.

curl -X GET "https://api.modernloop.dev/rest/v1/pylon/issues/string/messages" \  -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY"
{  "data": [    {      "id": "string",      "message_html": "string",      "source": "string",      "is_private": true,      "thread_id": "string",      "timestamp": "string",      "file_urls": [        "string"      ],      "author": {        "name": "string",        "avatar_url": "string",        "user": {          "id": "string",          "email": "string"        },        "contact": {          "id": "string",          "email": "string"        }      },      "email_info": {        "from_email": "string",        "to_emails": [          "string"        ],        "cc_emails": [          "string"        ],        "bcc_emails": [          "string"        ]      }    }  ],  "pagination": {    "cursor": "string",    "has_next_page": true  },  "request_id": "string"}
{  "data": {},  "pagination": {    "cursor": "string",    "has_next_page": true  },  "request_id": "string",  "errors": [    "string"  ]}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "errors": [    "string"  ],  "request_id": "string"}
{  "errors": [    "string"  ],  "request_id": "string"}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Issue UUID or issue number

Query Parameters

limit?integer

Page size (Pylon default 100, max 1000 where supported)

Range1 <= value <= 1000
cursor?string

Pagination cursor for the next page

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json